#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "", "");
KSYMTAB_FUNC(nv_register_error_cb, "", "");
KSYMTAB_FUNC(nv_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceKeyRotationChannelDisable, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslUpdateContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogExternalEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0xf8d58626, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0x9ddeb570, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0x0db296f1, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0x7df678c4, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0x891d3d74, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0x37315bbc, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0xed9d18c3, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x1fec1128, "");
SYMBOL_CRC(nv_register_error_cb, 0xb34b38f6, "");
SYMBOL_CRC(nv_unregister_error_cb, 0x2e6cec6e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x4c64148a, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x5f10c710, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x46a0aa1d, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0xeb1a59ab, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xbcf6c453, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x534759f3, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xac432e9f, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x68da4fcb, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x550cc5f7, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceKeyRotationChannelDisable, 0x20207223, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslUpdateContext, 0xd6df6819, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x5b446776, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogExternalEncryption, 0x7e49b680, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeff2568, "pci_bus_type" },
	{ 0x6626afca, "down" },
	{ 0xcf2a6966, "up" },
	{ 0xd4ed7598, "pci_save_state" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x8f72581a, "pci_disable_msi" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8f4847e, "pci_disable_msix" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x8697920c, "cdev_init" },
	{ 0x1a15169c, "cdev_add" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xf6abdf92, "kmem_cache_destroy" },
	{ 0xb77500b2, "cdev_del" },
	{ 0x8c67da8d, "kmem_cache_free" },
	{ 0x19f45207, "kmalloc_caches" },
	{ 0xdb6d6d66, "__kmalloc_cache_noprof" },
	{ 0xdcb764ad, "memset" },
	{ 0xda4b71f6, "kmem_cache_alloc_noprof" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x53b954a2, "up_read" },
	{ 0xeeb95898, "address_space_init_once" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x178fe2d1, "pci_stop_and_remove_bus_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x668b19a1, "down_read" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbe69c358, "dma_set_mask" },
	{ 0xa953b44b, "dma_set_coherent_mask" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xedc03953, "iounmap" },
	{ 0xf4e9657c, "kmem_cache_create" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x19d55be1, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7acb7ed2, "fget" },
	{ 0xdaf845ed, "fput" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xb0f498bb, "iterate_fd" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x3da320d8, "iov_iter_kvec" },
	{ 0x87030ed6, "seq_read_iter" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0x77358855, "iomem_resource" },
	{ 0x5978dcbe, "device_property_read_u64_array" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x37b8b39e, "screen_info" },
	{ 0x8224d5a0, "param_ops_charp" },
	{ 0x1fcd22e5, "pci_clear_master" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x35b0e4a0, "pci_enable_device" },
	{ 0x72ae00ac, "pci_find_capability" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa326fcca, "pci_rebar_get_possible_sizes" },
	{ 0x94aeb84f, "pci_find_host_bridge" },
	{ 0x232da632, "pci_read_config_word" },
	{ 0x638cebd2, "pci_write_config_word" },
	{ 0x2334cf1c, "pci_release_resource" },
	{ 0x474fd598, "pci_assign_unassigned_bus_resources" },
	{ 0xa9e622b1, "pci_resize_resource" },
	{ 0x353ac1c2, "pci_read_config_dword" },
	{ 0x765de0de, "pci_set_master" },
	{ 0x79b3e72d, "vga_set_legacy_decoding" },
	{ 0xa5fc3d18, "pm_vt_switch_required" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xdf3a53ed, "pci_disable_device" },
	{ 0xfa62842e, "filp_open" },
	{ 0x156fff59, "filp_close" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x4cee2ff1, "pm_vt_switch_unregister" },
	{ 0x76551289, "pci_read_config_byte" },
	{ 0xdb72be25, "pci_get_class" },
	{ 0x4f1a591, "pci_unregister_driver" },
	{ 0xb94c258e, "__pci_register_driver" },
	{ 0x5ad9c412, "dma_unmap_sg_attrs" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbf66c076, "dma_map_sg_attrs" },
	{ 0x8bb6802d, "dma_buf_get" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x8ec28863, "dma_buf_put" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfb52f3e4, "dma_buf_export" },
	{ 0x10f7f518, "dma_buf_fd" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xa3342dda, "is_acpi_device_node" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0xa71eb9bd, "sg_alloc_table_from_pages_segment" },
	{ 0x6167381d, "node_states" },
	{ 0x6b534d57, "node_data" },
	{ 0xa674640a, "dma_map_page_attrs" },
	{ 0xf3da2e87, "dma_unmap_page_attrs" },
	{ 0xd03a07b3, "dma_unmap_resource" },
	{ 0xa12f1c0b, "dma_map_resource" },
	{ 0xad0ddd68, "pcibios_resource_to_bus" },
	{ 0xbe16663e, "__dma_sync_sg_for_device" },
	{ 0x16a5d81a, "__dma_sync_single_for_device" },
	{ 0x5d04c4d1, "try_module_get" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x27c85cb0, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xb5f79a5c, "i2c_add_adapter" },
	{ 0xc9d6c3f0, "i2c_del_adapter" },
	{ 0xdee3a880, "vmf_insert_pfn_prot" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x3edced5c, "vm_insert_page" },
	{ 0xd53dae9e, "remap_pfn_range" },
	{ 0xe4b1aedb, "unmap_mapping_range" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x99aa5736, "single_release" },
	{ 0xbb2a2930, "single_open" },
	{ 0x23a98e6d, "__seq_puts" },
	{ 0x646ce71a, "seq_printf" },
	{ 0x11089ac7, "_ctype" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xfe20e72c, "seq_read" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x85df9b6c, "strsep" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa916b694, "strnlen" },
	{ 0xcdc57154, "proc_create_data" },
	{ 0x1adbe975, "proc_mkdir_mode" },
	{ 0xe56738, "proc_remove" },
	{ 0x62cb14b2, "seq_lseek" },
	{ 0x702d1c3e, "dma_alloc_attrs" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x8fd63f7c, "__alloc_pages_noprof" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x618911fc, "numa_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x94ff9d2f, "dma_free_attrs" },
	{ 0x6e305560, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xc631580a, "console_unlock" },
	{ 0x999e8297, "vfree" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe914e41e, "strcpy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x18b48e28, "__memset_io" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x9166fada, "strncpy" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0x8c78cf7, "offline_and_remove_memory" },
	{ 0x1000e51, "schedule" },
	{ 0x148653, "vsnprintf" },
	{ 0x5e3240a0, "__cpu_online_mask" },
	{ 0xa339e6e5, "on_each_cpu_cond_mask" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa5f7cf37, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x7e4c3df5, "efi" },
	{ 0xf1e046cc, "panic" },
	{ 0xb03f4928, "__free_pages" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa82e787, "__put_devmap_managed_folio_refs" },
	{ 0x7a9c4113, "__folio_put" },
	{ 0x1b18842, "kernel_write" },
	{ 0xe1f5979b, "kernel_read" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3928efe9, "__per_cpu_offset" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x7918d817, "memory_failure" },
	{ 0xb388ace5, "get_task_pid" },
	{ 0x6c2f1be6, "put_pid" },
	{ 0x3596ddae, "pid_vnr" },
	{ 0xf89601, "find_vma_intersection" },
	{ 0xa0d5c335, "follow_pte" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd728a45d, "contpte_ptep_get" },
	{ 0x3e81ff1b, "pin_user_pages" },
	{ 0x3cbc7349, "unpin_user_page" },
	{ 0x874ec8ac, "set_page_dirty_lock" },
	{ 0xccc2f1a0, "pci_get_domain_bus_and_slot" },
	{ 0xeb5302df, "pci_dev_put" },
	{ 0x6c6234be, "pci_write_config_byte" },
	{ 0x438bcd03, "pci_write_config_dword" },
	{ 0xaa5f1cad, "pci_enable_atomic_ops_to_root" },
	{ 0xa13a3d4b, "pcie_capability_read_word" },
	{ 0x44fcd5bb, "param_ops_int" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0x9ca73502, "kthread_stop" },
	{ 0x218ecd3c, "kthread_create_on_node" },
	{ 0x42fb0862, "vmalloc_to_page" },
	{ 0x5a078287, "wake_up_process" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xece784c2, "rb_first" },
	{ 0xd69c0125, "pci_enable_msi" },
	{ 0xc9334ca, "pci_enable_msix_range" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x21b67643, "fd_install" },
	{ 0xb6fde909, "close_fd" },
	{ 0xb82deb56, "remove_proc_entry" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x37e8e35, "crypto_aead_setkey" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x6af72725, "crypto_aead_encrypt" },
	{ 0x2e1c4d04, "crypto_aead_decrypt" },
	{ 0x80e62bab, "crypto_alloc_aead" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x87482a, "crypto_destroy_tfm" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xed4ae15e, "ecc_make_pub_key" },
	{ 0x59100486, "ecc_get_curve" },
	{ 0x1686a280, "ecc_is_pubkey_valid_full" },
	{ 0xd6315f31, "ecc_gen_privkey" },
	{ 0xa76b31a2, "crypto_ecdh_shared_secret" },
	{ 0xf7dc51a5, "crypto_alloc_akcipher" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7180d2a7, "crypto_shash_setkey" },
	{ 0xb5a21ea6, "crypto_shash_update" },
	{ 0xf9fa7527, "crypto_shash_final" },
	{ 0xf6030659, "crypto_alloc_shash" },
	{ 0xd5ea6d73, "crypto_shash_tfm_digest" },
	{ 0x63c2b276, "crypto_shash_export" },
	{ 0x793637e8, "crypto_shash_import" },
	{ 0x98503a63, "mpi_alloc" },
	{ 0xceb1f126, "mpi_read_raw_data" },
	{ 0x9fe939e1, "mpi_powm" },
	{ 0x3bf17755, "mpi_read_buffer" },
	{ 0x80d5e57a, "mpi_free" },
	{ 0xdfceac38, "key_type_asymmetric" },
	{ 0xbc60fa7a, "public_key_verify_signature" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x208aa405, "pci_iounmap" },
	{ 0x494bc53a, "pci_release_regions" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x47ebec8b, "pci_request_regions" },
	{ 0xa8846fc1, "pci_iomap" },
	{ 0x349cba85, "strchr" },
	{ 0x8cd46666, "__dma_sync_single_for_cpu" },
	{ 0x2e2b40d2, "strncat" },
	{ 0x50a8428a, "module_layout" },
};

MODULE_INFO(depends, "ecc");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "C8F3EC86B0E686DE5BD5E23");
